Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Class ClassNameExtractor

java.lang.Object
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.ClassNameExtractor

All Implemented Interfaces:
  `ContextExtractor`

public class ClassNameExtractor extends Object implements ContextExtractor
Context extractor to be used in the FROM clause of a query. If last character is not a space gets back up to the first space.

## Constructor Summary

Constructors
Constructor
Description
`ClassNameExtractor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPrefix(ITextViewer source, int currentPosition)`
If the last character is a space it returns an empty String If not it returns the last substring up to a space

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassNameExtractor

public ClassNameExtractor()

## Method Details

### getPrefix

public String getPrefix(ITextViewer source, int currentPosition)
If the last character is a space it returns an empty String If not it returns the last substring up to a space

Specified by:
  `getPrefix` in interface `ContextExtractor`
Parameters:
  `source` -
  `currentPosition` -
Returns:
  what has been typed before the current position and should be used to filter the content assistance.